import Vue from "vue"
import VueRouter from "vue-router"
import index from "../pages/index.vue"
import list from "../pages/list.vue"
Vue.use(VueRouter)

const router = new VueRouter({
  routes: [{
    path:"/index",
    component:index,
    meta:["user","admin"],
    children:[{
      path:"table",
      meta:["user","admin"],
      component: () => import("../pages/table.vue")
    },{
      path:"list",
      meta:["admin"],
      component: list
    }]
  },{
    path:"/list",
    name:"list",
    component:list,
    meta:["admin"],
  },{
    path:"/login",
    meta:["user","admin"],
    component: ()=> import("../pages/login.vue")
  },{
    path:"*",
    meta:["user","admin"],
    component: ()=> import("../pages/404.vue")
  }]
})
// const shenfen = "admin" user
// 0
// 1
// 登录状态 本地有没有登录的信息
const shenfen = "user"
router.beforeEach((to,form,next)=>{
  console.log(to)
  if(to.meta.includes(shenfen)){
    next()
  }else{
    next("/login")
  }
  // 路由源信息
})
export default router